Tag APIs

Overview

Manage workspace tags and bulk tag updates.

Tag properties

PropertyTypeDescription
workspaceIdnumber

The workspace ID.

idstring

The tag ID.

tagstring

The tag value.

typeTagType

The tag type, it can be 'common', 'client', 'message', 'conversation', 'clientStage' or 'convStage'.

ordernumber

The tag order.

descriptionstring

The tag description.

createdAtDateTime

The created timestamp.

Tags API

Get tags.

AttributeTypeDescription
workspaceIdnumber

Required. The workspace ID.

tagstring

Tag filter.

typeTagType

Tag type filter.

Request & Response

POST https://gateway.bcrumbs.net/core/gq
query tags($input: TagsInput!) {
  tags(input: $input) {
    nodes {
      id
      tag
      type
      createdAt
    }
  }
}
 
input TagsInput {
  workspaceId: Int! # Workspace ID.
  tag: String # Tag filter.
  type: TagType # Tag type filter.
}

The query above returns JSON structured like this:

{
  "data": {
    "tags": {
      "nodes": [
        {
          "id": "id_123",
          "tag": "sample",
          "type": "conv",
          "createdAt": "2026-03-16T00:00:00.000Z"
        }
      ]
    }
  }
}
You can check our playground to explore and interact with GraphQL APIs easily and intuitively with real-time documentation.

Programming language examples

curl -X POST 'https://gateway.bcrumbs.net/core/gq' \
  -H 'authorization: API-KEY' \
  -H 'content-type: application/json' \
  -d '{"operationName":"tags","variables":{"input":{"workspaceId":12,"tag":"sample","type":"VALUE"}},"query":"query tags($input: TagsInput!) {\\n  tags(input: $input) {\\n    nodes {\\n      id\\n      tag\\n      type\\n      createdAt\\n    }\\n  }\\n}"}'

Create Tag API

Create a tag.

AttributeTypeDescription
workspaceIdnumber

Required. The workspace ID.

typeTagType!

Required. Tag type.

tagstring

Required. Tag value.

ordernumber

Tag order.

descriptionstring

Tag description.

Request & Response

POST https://gateway.bcrumbs.net/core/gq
mutation createTag($input: TagCreateInput!) {
  createTag(input: $input) {
    id
    tag
    type
    createdAt
  }
}
 
input TagCreateInput {
  workspaceId: Int! # Workspace ID.
  type: TagType! # Tag type.
  tag: String! # Tag value.
  order: Int # Tag order.
  description: String # Tag description.
}

The mutation above returns JSON structured like this:

{
  "data": {
    "createTag": {
      "id": "id_123",
      "tag": "sample",
      "type": "conv",
      "createdAt": "2026-03-16T00:00:00.000Z"
    }
  }
}
You can check our playground to explore and interact with GraphQL APIs easily and intuitively with real-time documentation.

Programming language examples

curl -X POST 'https://gateway.bcrumbs.net/core/gq' \
  -H 'authorization: API-KEY' \
  -H 'content-type: application/json' \
  -d '{"operationName":"createTag","variables":{"input":{"workspaceId":12,"type":"VALUE","tag":"sample","order":1,"description":"sample"}},"query":"mutation createTag($input: TagCreateInput!) {\\n  createTag(input: $input) {\\n    id\\n    tag\\n    type\\n    createdAt\\n  }\\n}"}'

Bulk Patch Tags API

Bulk patch tags.

AttributeTypeDescription
workspaceIdnumber

Required. The workspace ID.

patchesjson

Required. List of tag patch items, it's explained in the next section.

patches fields

AttributeTypeDescription
idstring

Required. The ID of the tag to patch.

ordernumber

Optional. The new order of the tag.

descriptionstring

Optional. The new description of the tag.

Request & Response

POST https://gateway.bcrumbs.net/core/gq
mutation bulkPatchTags($input: TagBulkPatchInput!) {
  bulkPatchTags(input: $input)
}
 
input TagBulkPatchInput {
  workspaceId: Int! # Workspace ID.
  patches: [TagBulkPatchItemInput!]! # List of tag patch items.
}

The mutation above returns JSON structured like this:

{
  "data": {
    "bulkPatchTags": true
  }
}
You can check our playground to explore and interact with GraphQL APIs easily and intuitively with real-time documentation.

Programming language examples

curl -X POST 'https://gateway.bcrumbs.net/core/gq' \
  -H 'authorization: API-KEY' \
  -H 'content-type: application/json' \
  -d '{"operationName":"bulkPatchTags","variables":{"input":{"workspaceId":12,"patches":[{"id":"item_1"}]}},"query":"mutation bulkPatchTags($input: TagBulkPatchInput!) {\\n  bulkPatchTags(input: $input)\\n}"}'